import request from '@/utils/request'

export function listStockCheck(query) {
  return request({ url: '/warehouse/check/list', method: 'get', params: query })
}

export function getStockCheck(id) {
  return request({ url: '/warehouse/check/' + id, method: 'get' })
}

export function addStockCheck(data) {
  return request({ url: '/warehouse/check', method: 'post', data })
}

export function updateStockCheck(data) {
  return request({ url: '/warehouse/check', method: 'put', data })
}

export function delStockCheck(id) {
  return request({ url: '/warehouse/check/' + id, method: 'delete' })
}

export function confirmStockCheck(id) {
  return request({ url: '/warehouse/check/confirm/' + id, method: 'put' })
}
